Package ru.bitel.bgbilling.modules.tv.server.bean

# Class TvDeviceDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<TvDevice>
ru.bitel.common.dao.AbstractIdDao<TvDevice>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<TvDevice>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<TvDevice>
ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao<TvDevice,TvDeviceType>
ru.bitel.bgbilling.modules.tv.server.bean.TvDeviceDao

All Implemented Interfaces:
  `AutoCloseable`

public class TvDeviceDao extends DeviceDao<TvDevice,TvDeviceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

  `TABLE_INV_DEVICE_GROUP_LINK`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvDeviceDao(Connection con, int moduleId)`
  `TvDeviceDao(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getQueryById()`
  `protected Directory<TvDeviceType>`
  `getTypeDir()`
  `protected TvDevice`
  `newDevice()`
  `protected TvDeviceType`
  `newDeviceType(int id, String title)`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

  `deleteImpl, getFromRS, getFromRSImpl, getTreeFromList, getValues, list, list, listByType, listByUptimeTime, move, node, node, root, root, setExtraParams, updateImpl, updateUptime`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `delete, getFromRS, getFromRS, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TvDeviceDao

    public TvDeviceDao(Connection con, int moduleId, int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### TvDeviceDao

    public TvDeviceDao(Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### newDevice

    protected TvDevice newDevice()
    Specified by:
      `newDevice` in class `DeviceDao<TvDevice,TvDeviceType>`

  - ### newDeviceType

    protected TvDeviceType newDeviceType(int id, String title)
    Specified by:
      `newDeviceType` in class `DeviceDao<TvDevice,TvDeviceType>`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<TvDevice>`

  - ### getTypeDir

    protected Directory<TvDeviceType> getTypeDir() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getTypeDir` in class `DeviceDao<TvDevice,TvDeviceType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`